KBDMUX(4)

NAME
kbdmux - keyboard multiplexer

SYNOPSIS
device kbdmux

In /boot/device.hints:
hint.kbdmux.0.disabled="1"

DESCRIPTION
The kbdmux keyboard driver provides support for basic keyboard multiplexing. It is built around the idea of a “super keyboard”. The kbdmux driver acts as a master keyboard consuming input from all slave keyboards attached to it.

Slave keyboards can be attached to or detached from the kbdmux keyboard driver with the kbdcontrol(1) utility.

SEE ALSO
kbdcontrol(1), atkbd(4), syscons(4), ukbd(4)

HISTORY
The kbdmux module was implemented in FreeBSD 6.0.

AUTHORS
Maksim Yevmenkin <m_evmenkin@yahoo.com>

CAVEATS
The kbdmux keyboard driver switches all slave keyboards into K_RAW mode. Thus all slave keyboards attached to the kbdmux keyboard share the same state. The kbdmux keyboard is logically equivalent to one keyboard with lots of duplicated keys.